#import "Controller.h"

@implementation Controller

- (void)dealloc
{
	[[NSStatusBar systemStatusBar] removeStatusItem:_statusItem];
	[_statusItem release];
	
	[super dealloc];
}

- (id)statusItem
{
	if (_statusItem == nil)
	{
		NSMenu		*menu;
		
		_statusItem = [[[NSStatusBar systemStatusBar] statusItemWithLength:NSVariableStatusItemLength] retain];
		
		[_statusItem setImage:[NSImage imageNamed:@"test"]];
		[_statusItem setHighlightMode:YES];
		
		menu = [[NSMenu alloc] initWithTitle:@""];
		[menu addItemWithTitle:@"Hi" action:NULL keyEquivalent:@""];
		[_statusItem setMenu:menu];
		[menu release];		
	}
	return _statusItem;
}

- (NSApplication *)application
{
	return NSApp;
}

@end
